package org.cs.mgr.user.service;

import java.util.List;
import java.util.Map;

import org.cs.core.service.IBaseService;
import org.cs.util.Pager;

import com.alibaba.fastjson.JSONObject;

import org.cs.mgr.user.model.MgmInviteRecord;

/**
 * 
 * @ClassName: IMgmInviteRecordService
 * @Description:  
 * @author: sunny_shi
 * @date: 2018-06-09 13:28:56
 */
public interface IMgmInviteRecordService extends IBaseService<MgmInviteRecord> {

	Pager getMgmInviteRecords(Pager page);

	boolean delMgmInviteRecord(Integer id);
	
	boolean addMgmInviteRecord(MgmInviteRecord mgmInviteRecord);
	
	boolean updateMgmInviteRecord(MgmInviteRecord mgmInviteRecord);
	
	Pager getMgmInviteRecordsList(Map<String,String> map);
	
	 List<MgmInviteRecord> getMgmInviteRecordsList(String code);
}
